﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using MiniLib.Presentation;

namespace Lab5.Presentation
{
    public partial class BibliotecaForm : Form, IViewContainer
    {
        public BibliotecaForm()
        {
            InitializeComponent();
        }

        [Browsable(false)]
        public Grid LibriGrid
        {
            get { return _libriGrid; }
        }

        [Browsable(false)]
        public Grid PersoneGrid
        {
            get { return _personeGrid; }
        }

        [Browsable(false)]
        public Grid PrestitiGrid
        {
            get { return _prestitiGrid; }
        }

        #region IViewContainer Members

        void IViewContainer.AdjustUserInterface(ControllerBase controller)
        {
            controller.AdjustMenuStrip(_menuStrip);
        }

        void IViewContainer.UpdateUserInterface(ControllerBase controller)
        {
            Text = controller.GetStandardCaption();
            controller.UpdateMenuStrip(_menuStrip);
        }

        #endregion
    }
}
