﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

using Lab5.Model;
using Lab5.Persistence;
using Lab5.Presentation;

namespace Lab5
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            BibliotecaForm form = new BibliotecaForm();
            Biblioteca.BibliotecaManager bibliotecaManager = new Biblioteca.BibliotecaManager(new BibliotecaPersister());
            BibliotecaController bibliotecaController = new BibliotecaController(form, bibliotecaManager);
            Application.Run(form);
        }
    }
}
